

->   I think with positive probability all balls become BLACK, and under
-> this condition T=infinity, so P(T<infinity) < 1.
->   Do you mean T is the stopping time when balls become either all white or
-> all black? 
-> 

Yes.  Take T as the time until all white or all black.  You could
work with T as I defined it, but then {T= infinity} would correspond
to {eventually all black}.

Thanks for the correction.

DP